#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_set_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_get_peer, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_register_peer_memory_client, "", "");
KSYMTAB_FUNC(ib_unregister_peer_memory_client, "", "");
KSYMTAB_FUNC(ib_umem_activate_invalidation_notifier, "", "");
KSYMTAB_FUNC(ib_umem_stop_invalidation_notifier, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xf154174a, "");
SYMBOL_CRC(flow_resources_alloc, 0x6d9c8db8, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xe5d12ff8, "");
SYMBOL_CRC(flow_resources_add, 0x7473ee9d, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xe1f6c0e1, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x6638fa18, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x1b8ad1fc, "");
SYMBOL_CRC(uverbs_idr_class, 0x1a67b93b, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xbe03cd0a, "");
SYMBOL_CRC(uverbs_fd_class, 0x2d965e15, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x2c2253f2, "");
SYMBOL_CRC(_uverbs_alloc, 0xf303408b, "");
SYMBOL_CRC(uverbs_get_flags64, 0xa2c19238, "");
SYMBOL_CRC(uverbs_set_flags64, 0x1130eaec, "");
SYMBOL_CRC(uverbs_get_flags32, 0xfe5bf1c7, "");
SYMBOL_CRC(uverbs_copy_to, 0xafbca2c4, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x856ac512, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xc885c954, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x5879ea38, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x5fae3f51, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xb0e9e50e, "");
SYMBOL_CRC(ib_umem_get, 0x82472e22, "");
SYMBOL_CRC(ib_umem_get_peer, 0x3be12592, "");
SYMBOL_CRC(ib_umem_release, 0xd63281b5, "");
SYMBOL_CRC(ib_umem_copy_from, 0xcd6df1a7, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xb7df36f1, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xecd12b68, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xf0158430, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0xe8e52e7e, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x0c5e35c6, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0xd0aa32a6, "");
SYMBOL_CRC(ib_register_peer_memory_client, 0xd8c383f5, "");
SYMBOL_CRC(ib_unregister_peer_memory_client, 0xbde5c050, "");
SYMBOL_CRC(ib_umem_activate_invalidation_notifier, 0xfc98f653, "");
SYMBOL_CRC(ib_umem_stop_invalidation_notifier, 0xfad8ef99, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x7a31e0f2, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x5f14da99, "");
SYMBOL_CRC(ib_umem_odp_get, 0x18eb32c3, "");
SYMBOL_CRC(ib_umem_odp_release, 0x95267117, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x101b04c7, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xfa2a767b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x98996e1f, "dma_buf_get" },
	{ 0xeb656309, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x7b3395e9, "nla_put" },
	{ 0x9c6c92cf, "ww_mutex_lock" },
	{ 0x4370a8c9, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xba98f62a, "ib_qp_usecnt_inc" },
	{ 0xe160c127, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2d3fa6a9, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf90f01e7, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd36a52a5, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78482683, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x25edab85, "rdma_create_user_ah" },
	{ 0x2080f0f8, "rdma_destroy_ah_user" },
	{ 0x2f825e89, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdb9cd077, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x4483d383, "__mmdrop" },
	{ 0x69a6c33c, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd39f8a98, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x66982a67, "__mmap_lock_do_trace_start_locking" },
	{ 0x4098b9e0, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x86d7ab44, "igrab" },
	{ 0x232cea9c, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x55aab265, "mmput" },
	{ 0xd13022a2, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfc01209, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8bdd11e8, "__tracepoint_mmap_lock_start_locking" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7e914cae, "__mmap_lock_do_trace_released" },
	{ 0xb6938c8d, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x755abc1, "__srcu_read_unlock" },
	{ 0x325ce314, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x45d4d844, "ib_dealloc_xrcd_user" },
	{ 0x8da85f9c, "dma_buf_detach" },
	{ 0x61d82bbe, "stream_open" },
	{ 0xdf3055b4, "mmu_interval_notifier_insert" },
	{ 0x1b5a61eb, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x72b6c00e, "ib_open_qp" },
	{ 0xd96f6ed5, "ib_dealloc_pd_user" },
	{ 0xe5991e2a, "rdma_get_gid_attr" },
	{ 0x8156758, "dma_unmap_sg_attrs" },
	{ 0xf47ee5ed, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb5a5a6c3, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x1180027c, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x1fa39054, "rdma_query_gid_table" },
	{ 0xaf0dbafe, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3dbee049, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf8c644c5, "ib_attach_mcast" },
	{ 0x731c9689, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x271eacf6, "ib_destroy_wq_user" },
	{ 0xadc616f7, "put_pid" },
	{ 0x91a91eb5, "class_register" },
	{ 0xaa2993d, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x228bd686, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x14cc08f5, "rdma_user_mmap_entry_put" },
	{ 0x3d405b6c, "kobject_put" },
	{ 0x5e11f045, "pin_user_pages_fast" },
	{ 0xce35d861, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd9e23973, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xec771eb6, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x891849b2, "ib_unregister_client" },
	{ 0x5374d3f4, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5b473159, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x101ff574, "dev_set_name" },
	{ 0xcae1df4c, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8994f81a, "mmu_interval_read_begin" },
	{ 0xbeccc7aa, "ib_create_qp_user" },
	{ 0x71eb1b86, "dma_resv_wait_timeout" },
	{ 0xc386f996, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x42962c2b, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x3e07e0f4, "kill_fasync" },
	{ 0x603c759a, "dma_unmap_page_attrs" },
	{ 0x7c04e228, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xad36adfc, "fget" },
	{ 0x565630e5, "__put_task_struct" },
	{ 0xd5e1d6d0, "ib_query_srq" },
	{ 0x47a2cb2, "ww_mutex_unlock" },
	{ 0x82ae7cb8, "kobject_init" },
	{ 0xea991927, "device_initialize" },
	{ 0x1da76064, "__dynamic_ibdev_dbg" },
	{ 0xabf30389, "ib_rdmacg_try_charge" },
	{ 0x26698d0c, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x50ebec56, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x153d4f2f, "unpin_user_page_range_dirty_lock" },
	{ 0xa2ad16ef, "iput" },
	{ 0xf655410c, "pcpu_hot" },
	{ 0xbfea24e6, "dma_buf_unpin" },
	{ 0x35f44c95, "zap_vma_ptes" },
	{ 0x41726cdf, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa1d7423, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd5a61a34, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb79f22f3, "rdma_dev_access_netns" },
	{ 0xda22f85f, "get_device" },
	{ 0x50f89504, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xda0d0130, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xaf9887bc, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7409ffc7, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x5b46471d, "ib_destroy_srq_user" },
	{ 0x1031ed36, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x7059dda1, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5d21119, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdd71d8ce, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xe58e4142, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x70f1d524, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x4ae4c9a8, "ib_modify_qp_with_udata" },
	{ 0x775e40c5, "ib_register_event_handler" },
	{ 0xa67e87e6, "ib_detach_mcast" },
	{ 0x92125d5c, "dma_buf_map_attachment" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9bb84f1a, "__free_pages" },
	{ 0x1a9caa3c, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa0f22f58, "module_put" },
	{ 0xa0e30bb8, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4d17eff, "compat_ptr_ioctl" },
	{ 0x4fa362ba, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x405f6c61, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8fca0669, "init_srcu_struct" },
	{ 0x9db996f5, "fput" },
	{ 0xb9e59005, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa4a7e78b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x81c61880, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xfcadfcea, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x589337a2, "rdma_put_gid_attr" },
	{ 0x954cef6f, "init_on_alloc" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0xe8d5e486, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx_compat");

