#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iwcm_reject_msg, "", "");
KSYMTAB_FUNC(iw_create_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_disconnect, "", "");
KSYMTAB_FUNC(iw_destroy_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_listen, "", "");
KSYMTAB_FUNC(iw_cm_reject, "", "");
KSYMTAB_FUNC(iw_cm_accept, "", "");
KSYMTAB_FUNC(iw_cm_connect, "", "");
KSYMTAB_FUNC(iw_cm_init_qp_attr, "", "");

SYMBOL_CRC(iwcm_reject_msg, 0xf3df871f, "");
SYMBOL_CRC(iw_create_cm_id, 0x2927d32d, "");
SYMBOL_CRC(iw_cm_disconnect, 0x1bdb7c3f, "");
SYMBOL_CRC(iw_destroy_cm_id, 0xd29659cd, "");
SYMBOL_CRC(iw_cm_listen, 0x98f3801f, "");
SYMBOL_CRC(iw_cm_reject, 0x4e884cdc, "");
SYMBOL_CRC(iw_cm_accept, 0x63cca9a4, "");
SYMBOL_CRC(iw_cm_connect, 0xbede0954, "");
SYMBOL_CRC(iw_cm_init_qp_attr, 0x63dba560, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa8261c0, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x4d12f055, "rdma_nl_unicast" },
	{ 0x75a729a0, "rdma_nl_unregister" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x94ad0da9, "rdma_nl_multicast" },
	{ 0x8db670ab, "init_net" },
	{ 0x6626afca, "down" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x60a8a213, "ibnl_put_attr" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x5dd86978, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4f6196a3, "ib_modify_qp" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x949494f5, "rdma_nl_unicast_wait" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xb5a5a6c3, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xb91f2cba, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa096865b, "rdma_nl_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x228bd686, "kmalloc_caches" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x27b2ff0f, "ibnl_put_msg" },
	{ 0x43d78774, "consume_skb" },
	{ 0x40a62432, "__nla_validate" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe8d5e486, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx_compat");

