#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_create_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_destroy_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_attach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_detach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_nvmf_ns, "_gpl", "");

SYMBOL_CRC(mlx5_core_create_nvmf_backend_ctrl, 0x43726a77, "_gpl");
SYMBOL_CRC(mlx5_core_destroy_nvmf_backend_ctrl, 0x4e7dbf76, "_gpl");
SYMBOL_CRC(mlx5_core_attach_nvmf_ns, 0xec9d0982, "_gpl");
SYMBOL_CRC(mlx5_core_detach_nvmf_ns, 0x1d7c2443, "_gpl");
SYMBOL_CRC(mlx5_core_query_nvmf_ns, 0xccc6192a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfad8ef99, "ib_umem_stop_invalidation_notifier" },
	{ 0x4e14b37f, "mlx5_core_query_vport_counter" },
	{ 0xf154174a, "ib_uverbs_get_ucontext_file" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x510ea16e, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf08ba386, "mlx5_query_port_max_mtu" },
	{ 0xd36a52a5, "ib_destroy_qp_user" },
	{ 0x856ac512, "_uverbs_get_const_signed" },
	{ 0x79bf2ea9, "mlx5_query_hca_vport_gid" },
	{ 0xcf796aa2, "mlx5_frag_buf_free" },
	{ 0x6cbcf2ce, "mlx5_nic_vport_disable_roce" },
	{ 0x2d965e15, "uverbs_fd_class" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc9b26dd, "dma_sync_single_for_cpu" },
	{ 0x96defdf9, "mlx5_notifier_unregister" },
	{ 0xfb578fc5, "memset" },
	{ 0x1ff0b664, "_dev_warn" },
	{ 0xe5ad0cad, "mlx5_create_lag_demux_flow_table" },
	{ 0xb6bb6f2c, "mlx5_cmd_exec_cb" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x93500dbd, "mlx5_lag_get_num_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2ade87fa, "mlx5_rl_remove_rate" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x1b320ea1, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x739abc5, "mlx5_eswitch_register_vport_reps" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x51543bb1, "mlx5_core_modify_cq" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xfc98f653, "ib_umem_activate_invalidation_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x104c1fd8, "mlx5_eswitch_vport_match_metadata_enabled" },
	{ 0xd4e32514, "ib_dealloc_device" },
	{ 0xf71729c, "mlx5_blocking_notifier_unregister" },
	{ 0x3e052bf0, "mlx5_fc_query" },
	{ 0xdb9cd077, "ib_destroy_cq_user" },
	{ 0x15521084, "rdma_user_mmap_io" },
	{ 0xae8b37e8, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf9f1645, "skb_trim" },
	{ 0x4483d383, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x4f6196a3, "ib_modify_qp" },
	{ 0x92c6323, "mlx5_eswitch_get_core_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x249c0a07, "dma_set_coherent_mask" },
	{ 0x25cc066d, "rdma_user_mmap_entry_insert_range" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xcb747c14, "pv_ops" },
	{ 0xc5e35c6, "ib_umem_dmabuf_get_pinned" },
	{ 0x14518505, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1102b3c3, "mlx5_core_set_dc_cnak_trace" },
	{ 0x67a97e41, "ib_device_get_netdev" },
	{ 0xecd12b68, "ib_umem_dmabuf_unmap_pages" },
	{ 0x3be12592, "ib_umem_get_peer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2ad5b010, "mlx5_eswitch_get_proto_dev" },
	{ 0x32dbae11, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf211f5e5, "dma_free_attrs" },
	{ 0x5879ea38, "uverbs_copy_to_struct_or_zero" },
	{ 0xe5d12ff8, "ib_uverbs_flow_resources_free" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x101b04c7, "ib_umem_odp_map_dma_and_lock" },
	{ 0x9fde1ece, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x38a248b4, "mlx5_eq_notifier_unregister" },
	{ 0xe222dcf3, "mlx5_comp_eqn_get" },
	{ 0x3d1e2988, "mlx5_query_port_vl_hw_cap" },
	{ 0x86795f2, "mlx5_query_hca_vport_pkey" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xba19fba8, "mlx5_core_uplink_netdev_event_replay" },
	{ 0xfc01209, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7ac3f5c5, "mlx5_frag_buf_alloc_node" },
	{ 0xccd16265, "netdev_master_upper_dev_get_rcu" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x61b009b2, "roce_del_all_netdev_gids" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbba13a87, "netdev_master_upper_dev_get" },
	{ 0xf303408b, "_uverbs_alloc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x42c87499, "mlx5_fc_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d232e4, "mlx5_lag_is_master" },
	{ 0xb9de8865, "mlx5_nic_vport_unaffiliate_multiport" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x8ff9d016, "rdma_roce_rescan_port" },
	{ 0xbed2e15a, "mlx5_query_hca_vport_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2997f881, "ib_query_pkey" },
	{ 0x1b8ad1fc, "uverbs_uobject_put" },
	{ 0xd0aa32a6, "ib_umem_dmabuf_revoke" },
	{ 0x629b9abb, "mlx5_core_roce_gid_set" },
	{ 0x1bb4e591, "kobject_uevent" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x50ed64e0, "mlx5_query_port_oper_mtu" },
	{ 0x12eae0b9, "mlx5_nic_vport_enable_roce" },
	{ 0xbd05dda2, "ib_port_immutable_read" },
	{ 0xb621e1bc, "pci_disable_device" },
	{ 0x40a9165b, "ib_create_qp_kernel" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0xafbca2c4, "uverbs_copy_to" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0xc1134111, "mlx5_blocking_notifier_register" },
	{ 0x7473ee9d, "flow_resources_add" },
	{ 0x2c37fe81, "mlx5_core_modify_rq" },
	{ 0x7b14fcf8, "mlx5_core_query_mkey" },
	{ 0xa1bf6524, "dma_set_mask" },
	{ 0xfb222fb2, "__auxiliary_driver_register" },
	{ 0xb1d15f60, "mlx5_db_alloc_node" },
	{ 0x49ef61fb, "rdma_nl_stat_hwcounter_entry" },
	{ 0x2c2253f2, "uverbs_destroy_def_handler" },
	{ 0x6ad96d21, "mlx5_qp_debugfs_init" },
	{ 0xd96f6ed5, "ib_dealloc_pd_user" },
	{ 0x73a9d7d6, "pci_vpd_alloc" },
	{ 0x5735604, "mlx5_core_modify_tis" },
	{ 0x1c4972e0, "mlx5_core_mp_event_replay" },
	{ 0xc4d84c9e, "mlx5_comp_vectors_max" },
	{ 0x34961ad9, "mlx5_create_cq" },
	{ 0xf47ee5ed, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb5a5a6c3, "kmalloc_trace" },
	{ 0xe483ef81, "mlx5_eswitch_get_total_vports" },
	{ 0xd1040027, "mlx5_core_destroy_cq" },
	{ 0xbef8d7bc, "mlx5_core_reserved_gids_count" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe0c2ec38, "mlx5_debugfs_root" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x585c1eca, "mlx5_core_modify_cq_moderation" },
	{ 0xcd6df1a7, "ib_umem_copy_from" },
	{ 0x13aa1698, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2ce6a8df, "mlx5_qp_debugfs_cleanup" },
	{ 0x3dbee049, "rdma_restrack_put" },
	{ 0x9246180d, "mlx5_eq_disable" },
	{ 0xabe9bb24, "mlx5_cmd_cleanup_async_ctx" },
	{ 0xb557e263, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x23bb3f50, "mlx5_create_flow_table" },
	{ 0x73cbea61, "mlx5_rl_remove_rate_raw" },
	{ 0x25eddb4f, "rdma_roce_rescan_device" },
	{ 0xb28dbbe8, "mlx5_destroy_flow_group" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x888a70fa, "mlx5_alloc_bfreg" },
	{ 0x14c1d3f0, "mlx5_eq_destroy_generic" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd143df83, "rdma_nl_put_driver_string" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4ff300de, "mlx5_lag_is_active" },
	{ 0x4486c056, "mlx5_free_bfreg" },
	{ 0x228bd686, "kmalloc_caches" },
	{ 0x3bec98, "mlx5_cmd_destroy_vport_lag" },
	{ 0x4b6482eb, "ib_set_device_ops" },
	{ 0x14cc08f5, "rdma_user_mmap_entry_put" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3aff3784, "mlx5_core_access_reg" },
	{ 0x3d405b6c, "kobject_put" },
	{ 0x72460c4, "mlx5_fill_page_frag_array" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x657d81f4, "mlx5_eswitch_add_send_to_vport_rule" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x12e48af6, "mlx5_modify_header_alloc" },
	{ 0x1d64a1fc, "mlx5_dm_sw_icm_dealloc" },
	{ 0xd63281b5, "ib_umem_release" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x966f3978, "mlx5_db_free" },
	{ 0x4e32bc6c, "mlx5_core_destroy_mkey" },
	{ 0x7ee2d090, "mlx5_eswitch_mode" },
	{ 0x3607096f, "mlx5_cmd_check" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0xecaf8f72, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x7a3a7442, "mlx5_lag_is_roce" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd20fb83b, "pci_enable_device" },
	{ 0xaa19af7d, "mlx5_rl_add_rate_raw" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x84462d96, "mlx5_lag_query_cong_counters" },
	{ 0xfe5bf1c7, "uverbs_get_flags32" },
	{ 0x82ef09ef, "mlx5_rsc_dump_cmd_create" },
	{ 0x77bc13a0, "strim" },
	{ 0x1a67b93b, "uverbs_idr_class" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa56be9b4, "pci_enable_atomic_ops_to_root" },
	{ 0x14f4e6b6, "mlx5_core_destroy_psv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2763b3, "mlx5_eq_enable" },
	{ 0xa85e04b7, "mlx5_flow_table_id" },
	{ 0x94b29a7a, "mlx5_core_alloc_pd" },
	{ 0x549a354d, "rdma_read_gid_l2_fields" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1e7bfa0e, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xecaef3d6, "mlx5_lag_get_next_peer_mdev" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad6815cd, "mlx5_rsc_dump_cmd_destroy" },
	{ 0x31daa91c, "register_netdevice_notifier_dev_net" },
	{ 0x603c759a, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8520bd70, "mlx5_query_nic_vport_qkey_viol_cntr" },
	{ 0xb99a903d, "ib_modify_qp_is_ok" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x413accd1, "__pci_register_driver" },
	{ 0xf44c7dcc, "mlx5_nic_vport_update_local_lb" },
	{ 0xcf2a6966, "up" },
	{ 0xe8e52e7e, "ib_umem_dmabuf_get_pinned_with_dma_device" },
	{ 0x47a2cb2, "ww_mutex_unlock" },
	{ 0xa5671248, "dma_sync_single_for_device" },
	{ 0x61492bb7, "mlx5_rl_are_equal" },
	{ 0x5c6e2b0d, "mlx5_create_flow_group" },
	{ 0xbe03cd0a, "uverbs_uobject_fd_release" },
	{ 0x6d02f5e0, "debugfs_create_atomic_t" },
	{ 0xa3688e09, "mlx5_core_create_psv" },
	{ 0xb0e9e50e, "ib_umem_find_best_pgsz" },
	{ 0xe3414fc4, "mlx5_core_modify_hca_vport_context" },
	{ 0xae409cf4, "mlx5_rl_add_rate" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfa962d0d, "mlx5_eq_update_ci" },
	{ 0x888a2246, "mlx5_create_auto_grouped_flow_table" },
	{ 0x83833807, "mlx5_core_create_mkey" },
	{ 0x354d4035, "mlx5_cmd_do" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6489ce37, "mlx5_debug_qp_add" },
	{ 0x39203c9e, "ib_sg_to_pages" },
	{ 0x5f7ccd5f, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x791452e2, "rdma_query_gid" },
	{ 0xb53b94ee, "kobject_get_path" },
	{ 0x1c0b052b, "mlx5_fc_create" },
	{ 0x7eca884b, "mlx5_cmd_out_err" },
	{ 0x90fefc6a, "mlx5_core_create_rqt" },
	{ 0x84ec887b, "mlx5_core_query_vendor_id" },
	{ 0xdb87676a, "mlx5_query_hca_vport_node_guid" },
	{ 0x4eb823a3, "mlx5_modify_header_dealloc" },
	{ 0xf655410c, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x5f14da99, "ib_umem_odp_alloc_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x41726cdf, "ib_dereg_mr_user" },
	{ 0xdf600a19, "mlx5_lag_is_sriov" },
	{ 0xe41b7bb3, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x744c3260, "mlx5_lag_is_mpesw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8be220, "rdma_restrack_get" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5fae3f51, "uverbs_finalize_uobj_create" },
	{ 0xda22f85f, "get_device" },
	{ 0xdb540f6a, "mlx5_eswitch_get_encap_mode" },
	{ 0xb2a3fe75, "mlx5_rsc_dump_next" },
	{ 0x50f89504, "ib_query_qp" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4d757d65, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xa8339c2e, "__dynamic_dev_dbg" },
	{ 0x655cf640, "mlx5_debugfs_get_dev_root" },
	{ 0x6d9c8db8, "flow_resources_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x2aee147e, "mlx5_core_query_rq" },
	{ 0xacc36bd, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x1fd604ba, "mlx5_packet_reformat_dealloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7a31e0f2, "ib_umem_odp_alloc_implicit" },
	{ 0x8551a024, "dev_driver_string" },
	{ 0x5b46471d, "ib_destroy_srq_user" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x5bebc464, "ib_unregister_device" },
	{ 0x2b8407dc, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5d21119, "dma_map_page_attrs" },
	{ 0x82ae89a9, "auxiliary_driver_unregister" },
	{ 0x113fe0da, "mlx5_cmd_exec" },
	{ 0xf877bfbd, "mlx5_eq_get_eqe" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc057628d, "mlx5_core_dealloc_pd" },
	{ 0x1953c958, "mempool_create" },
	{ 0xa308829a, "mlx5_rdma_rn_get_params" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x1000e51, "schedule" },
	{ 0x279ee7b1, "mlx5_wc_support_get" },
	{ 0x8df4b69f, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x70f1d524, "put_device" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x485e1b63, "mlx5_lag_mode_is_hash" },
	{ 0x5ce5f7b8, "mlx5_debug_qp_remove" },
	{ 0x4bc838b0, "pcie_relaxed_ordering_enabled" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xb08e2c52, "mlx5_eq_notifier_register" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9bb84f1a, "__free_pages" },
	{ 0x9df6cbd6, "mlx5_core_create_tis" },
	{ 0xeef5e6bb, "mlx5_nic_vport_affiliate_multiport" },
	{ 0x50765a6, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeb09d561, "mlx5_cmd_create_vport_lag" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xdc69999e, "mlx5_query_min_inline" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5c0451de, "mlx5_core_create_rq" },
	{ 0x21caf0db, "mlx5_eswitch_get_vport_metadata_for_match" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc9780495, "mlx5_packet_reformat_alloc" },
	{ 0x4fa362ba, "ib_create_srq_user" },
	{ 0xb19557bd, "rdma_user_mmap_entry_remove" },
	{ 0xc885c954, "_uverbs_get_const_unsigned" },
	{ 0x6316799a, "unregister_netdevice_notifier_dev_net" },
	{ 0xb9eb0694, "ib_dispatch_event" },
	{ 0x6dd9380d, "vm_insert_page" },
	{ 0xcb58c579, "mlx5_lag_is_shared_fdb" },
	{ 0x95267117, "ib_umem_odp_release" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x5fd36371, "mlx5_query_nic_vport_system_image_guid" },
	{ 0xba43eb2d, "mlx5_eswitch_unregister_vport_reps" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa39b25b4, "mlx5_notifier_register" },
	{ 0xa48187e7, "mlx5_core_create_cq" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1221d4cf, "mlx5_dm_sw_icm_alloc" },
	{ 0xa4a7e78b, "_dev_err" },
	{ 0x929095fc, "mlx5_is_roce_on" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf7c28c8f, "mlx5_add_flow_rules" },
	{ 0xbb97b6eb, "simple_open" },
	{ 0xcc002b85, "mlx5_destroy_flow_table" },
	{ 0xc9461896, "mlx5_eswitch_uplink_get_proto_dev" },
	{ 0xa1125d1d, "mlx5_get_flow_namespace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x96eb2c99, "mlx5_fc_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x18eb32c3, "ib_umem_odp_get" },
	{ 0x6626afca, "down" },
	{ 0x59798160, "mlx5_query_port_ptys" },
	{ 0x1964bd0d, "ib_device_set_netdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x21581ab4, "mlx5_cmd_init_async_ctx" },
	{ 0x1086c165, "mlx5_eq_create_generic" },
	{ 0xe793152d, "mlx5_put_uars_page" },
	{ 0xac46a641, "dma_alloc_attrs" },
	{ 0x8c8af209, "mlx5_lag_get_slave_port" },
	{ 0xb7df36f1, "ib_umem_dmabuf_map_pages" },
	{ 0xc488dbaf, "mlx5_get_uars_page" },
	{ 0x33bfbb8a, "debugfs_remove" },
	{ 0x1e1020ea, "mlx5_query_ib_port_oper" },
	{ 0xeb656309, "ib_query_port" },
	{ 0xca539ebb, "__ib_alloc_cq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x14c637e3, "mlx5_query_nic_vport_node_guid" },
	{ 0x7b3395e9, "nla_put" },
	{ 0x9c6c92cf, "ww_mutex_lock" },
	{ 0xdd2b6d54, "mlx5_set_port_caps" },
	{ 0x57a5b7fe, "rdma_user_mmap_entry_get_pgoff" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc058797, "mlx5_del_flow_rules" },
	{ 0xfa2a767b, "ib_umem_odp_unmap_dma_pages" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x408d410d, "kobject_init_and_add" },
	{ 0x4e62c8c0, "mlx5_core_modify_sq" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xf0158430, "ib_umem_dmabuf_get" },
	{ 0x505dddca, "mlx5_query_hca_vport_system_image_guid" },
	{ 0x7955a4e7, "mlx5_core_query_sq_state" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8d5e486, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,mlx5_core,ib_core,mlx_compat");

