#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_pcie_print_link_status, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_num, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_gids, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_pkeys, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_core_set_dc_cnak_trace, "_gpl", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xba19fba8, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x1c4972e0, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x929095fc, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x5b57c560, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x7d776c17, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x7eca884b, "");
SYMBOL_CRC(mlx5_cmd_check, 0x3607096f, "");
SYMBOL_CRC(mlx5_cmd_do, 0x354d4035, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x113fe0da, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x596e3c61, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x21581ab4, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xabe9bb24, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xb6bb6f2c, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xe0c2ec38, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x655cf640, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x6ad96d21, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x2ce6a8df, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x6489ce37, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x5ce5f7b8, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x84ec887b, "");
SYMBOL_CRC(mlx5_eq_enable, 0x002763b3, "");
SYMBOL_CRC(mlx5_eq_disable, 0x9246180d, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x1086c165, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x14c1d3f0, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xf877bfbd, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xfa962d0d, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xe222dcf3, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xc4d84c9e, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x919c7436, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xb08e2c52, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x38a248b4, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xc488dbaf, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xe793152d, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x888a70fa, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x4486c056, "");
SYMBOL_CRC(mlx5_pcie_print_link_status, 0xbf7abe1d, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xd8ccd0de, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x29a67257, "");
SYMBOL_CRC(mlx5_create_cq, 0x34961ad9, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xa48187e7, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xd1040027, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x49489bfd, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x51543bb1, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x585c1eca, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x7ac3f5c5, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xcf796aa2, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xb1d15f60, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x966f3978, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x86bff768, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x3aff3784, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xdd2b6d54, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x59798160, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x1e1020ea, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x620a8160, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x52b404f6, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xdd62537d, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x959cbd14, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xf08ba386, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x50ed64e0, "_gpl");
SYMBOL_CRC(mlx5_query_module_num, 0x3ed65f0b, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xb1d3eac5, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x702b0409, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x3d1e2988, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x6db0a645, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x87a7bcd1, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xdff71af1, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x974dfb93, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x2a7f8c1c, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xb1622c46, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x2a4c91f5, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x4b3b5170, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x520b8611, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x9596222e, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x6a8392bb, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x7ee717aa, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x7fbf1f58, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xae3f37c5, "_gpl");
SYMBOL_CRC(mlx5_core_query_gids, 0x7c842cd0, "_gpl");
SYMBOL_CRC(mlx5_core_query_pkeys, 0x3182b150, "_gpl");
SYMBOL_CRC(mlx5_core_query_hca_vport_context, 0xcc39d621, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x83833807, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x4e32bc6c, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x7b14fcf8, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xa3688e09, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x14f4e6b6, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xecc39ea2, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x94b29a7a, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xc057628d, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xfdbcc46d, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x07a3ee06, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x5c0451de, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x2c37fe81, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xaab4ad33, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x2aee147e, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x4e62c8c0, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x48bb223f, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x7955a4e7, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x9c4fefe6, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x05f04716, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x9df6cbd6, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x05735604, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x2c887a60, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x90fefc6a, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xb1c2c29c, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x5d917c7f, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xdc69999e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x88e264bc, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x77806017, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x336a9521, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xa929be8e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x31a9543f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x02af0d01, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xf498fae8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_vlans, 0xa1307fd2, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x9c562065, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x5fd36371, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x14c637e3, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x8520bd70, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x79bf2ea9, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x086795f2, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xbed2e15a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x505dddca, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xdb87676a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x8830f1a0, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xcaf3c615, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xf44c7dcc, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x0a86ad32, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x12eae0b9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x6cbcf2ce, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x4e14b37f, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xe3414fc4, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xeef5e6bb, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xb9de8865, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x2aebe43a, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x0c270736, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x898cbb28, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xf1d6d5e0, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xf7c28c8f, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x0c058797, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xcb5de62c, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xa1125d1d, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x6c9b3299, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x373eea4d, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x12e48af6, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x4eb823a3, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xc9780495, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x1fd604ba, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x7b973d49, "");
SYMBOL_CRC(mlx5_msix_free, 0x14941bcc, "");
SYMBOL_CRC(mlx5_fc_create, 0x1c0b052b, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x42c87499, "");
SYMBOL_CRC(mlx5_fc_query, 0x3e052bf0, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xa3c1b87e, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xaa19af7d, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x73cbea61, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xae409cf4, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x2ade87fa, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xeb09d561, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x003bec98, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x7a3a7442, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x4ff300de, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x485e1b63, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x76d232e4, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xdf600a19, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xcb58c579, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x8c8af209, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x93500dbd, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xecaef3d6, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x84462d96, "");
SYMBOL_CRC(mlx5_notifier_register, 0xa39b25b4, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x96defdf9, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xc1134111, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x0f71729c, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xbef8d7bc, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x629b9abb, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x1221d4cf, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x1d64a1fc, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x07ae97e8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x5ffe5cca, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xaeba202b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xf6eaeb09, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x6641d67a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x3e111d58, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xcf5561b9, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x9705aa9b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x518b8fa1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x7470a97b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x84b39e8e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xc8703765, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x684e4d63, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x1d48264a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xceadf7fb, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x1e7ecc15, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x65a9f2b3, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x7b7ffc4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x3d3b49a9, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xd07bf905, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x99bf45c7, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x23de58d4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x643ceee9, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x82ef09ef, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xb2a3fe75, "");
SYMBOL_CRC(mlx5_core_set_dc_cnak_trace, 0x1102b3c3, "_gpl");
SYMBOL_CRC(mlx5_wc_support_get, 0x279ee7b1, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x744c3260, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x7ee2d090, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xdb540f6a, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xe483ef81, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x092c6323, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x657d81f4, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x0739abc5, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xba43eb2d, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x2ad5b010, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xc9461896, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xcd7051f1, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x2d83e81d, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x104c1fd8, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x21caf0db, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xb67c4073, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xedffd8a5, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xb9aa7ae8, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xa308829a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1a6cc6cf, "__SCK__tp_func_xdp_exception" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x512b5f61, "pci_restore_state" },
	{ 0x3de2fd18, "bpf_trace_run1" },
	{ 0x55ae2fd8, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x6a17de31, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0x3270706b, "proc_mkdir" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc9b26dd, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xd5bb6ffa, "page_pool_create" },
	{ 0xe0d3bb9f, "skb_checksum" },
	{ 0xf952c3b8, "page_pool_put_defragged_page" },
	{ 0x239025a0, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x1ff0b664, "_dev_warn" },
	{ 0xfbb7d2b, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa5860728, "devl_resources_unregister" },
	{ 0x1ddb2931, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x15a40cd9, "netif_schedule_queue" },
	{ 0x1dc9f010, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0x1b320ea1, "pci_set_master" },
	{ 0x884f0c2d, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x21d65f6d, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x713319c4, "flow_rule_match_ipv6_addrs" },
	{ 0x4b998699, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x671074e0, "devl_params_unregister" },
	{ 0xbad5183c, "ptp_clock_unregister" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xb090d223, "__pskb_pull_tail" },
	{ 0x35cbe0c9, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x5dd86978, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x58d3e907, "devlink_trap_report" },
	{ 0x56467d78, "__neigh_event_send" },
	{ 0x9811ef3c, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2559b2fd, "dev_printk_emit" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xae8b37e8, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6637c57c, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x78f3369d, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x87afd679, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x249c0a07, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xcb747c14, "pv_ops" },
	{ 0xbebb3cea, "sysfs_remove_group" },
	{ 0xb64e3857, "flow_rule_match_enc_control" },
	{ 0x11f3d061, "bpf_trace_run3" },
	{ 0x6c18d1e0, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x524fa7aa, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x32dbae11, "debugfs_create_file" },
	{ 0xb6c5e121, "rps_may_expire_flow" },
	{ 0x1b588b8a, "mlxdevm_param_driverinit_value_get" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x7c17549c, "xsk_set_tx_need_wakeup" },
	{ 0xdc58c773, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd2c107c9, "netdev_reset_tc" },
	{ 0x6283a1a2, "neigh_destroy" },
	{ 0xf211f5e5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc6ebc6e0, "trace_event_buffer_reserve" },
	{ 0xde5d95b2, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3f6399b3, "debugfs_create_x32" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa6ea1ba8, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x310366b9, "flow_rule_match_enc_ports" },
	{ 0x358bb327, "xdp_return_frame_bulk" },
	{ 0x47b60372, "mlxdevm_port_register" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x605f8d21, "pci_release_regions" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xd72d31ec, "bpf_prog_add" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x8792488e, "devl_assert_locked" },
	{ 0xeb678dbb, "pcie_print_link_status" },
	{ 0xe74e2206, "xp_set_rxq_info" },
	{ 0x59f175ac, "flow_rule_match_vlan" },
	{ 0xfc01209, "alloc_pages" },
	{ 0xf1edc95e, "devl_port_unregister" },
	{ 0xb244c2ae, "xdp_rxq_info_unreg" },
	{ 0xfd478f1a, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x81d30be1, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5384bec5, "napi_build_skb" },
	{ 0xccd16265, "netdev_master_upper_dev_get_rcu" },
	{ 0xe86c135f, "__xdp_rxq_info_reg" },
	{ 0x1fd4776d, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1aba8c73, "remove_proc_entry" },
	{ 0xbba13a87, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7f4939f9, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0xd249c226, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6d805521, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe8d4ccbc, "netif_carrier_off" },
	{ 0x39554201, "seq_printf" },
	{ 0xd055d5f5, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x161eee71, "devlink_priv" },
	{ 0x75355ca6, "devlink_port_register_with_ops" },
	{ 0xd2fbdda6, "pci_disable_sriov" },
	{ 0xc6d4075a, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbec61c09, "dst_release" },
	{ 0x3e72c65f, "netif_carrier_on" },
	{ 0x47a8da06, "netdev_set_num_tc" },
	{ 0x1bb4e591, "kobject_uevent" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xa09d2c80, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x97b79571, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb621e1bc, "pci_disable_device" },
	{ 0xef867068, "mlxdevm_port_unregister" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0xdf79667c, "xp_free" },
	{ 0x729c2919, "page_pool_update_nid" },
	{ 0x47a5c363, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xa1bf6524, "dma_set_mask" },
	{ 0xfb222fb2, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5947c599, "netif_set_tso_max_size" },
	{ 0xb7f623ce, "vlan_dev_vlan_id" },
	{ 0x3df43ec5, "__skb_flow_dissect" },
	{ 0x5010f359, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf48f9a7b, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb5a5a6c3, "kmalloc_trace" },
	{ 0x841a78a2, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x3693677f, "xp_raw_get_data" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc29bf967, "strspn" },
	{ 0xc8e2e87c, "napi_schedule_prep" },
	{ 0x2babb00, "qdisc_reset" },
	{ 0x3b811dd5, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x16344cdd, "xp_alloc_batch" },
	{ 0xeff6e58f, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x78f5a4b8, "napi_disable" },
	{ 0xb91f2cba, "dev_kfree_skb_any_reason" },
	{ 0x8510fd2e, "dcb_ieee_delapp" },
	{ 0x9b296236, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x4a2d16e0, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa48923fb, "debugfs_create_u8" },
	{ 0x17cb9cc, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x774400bc, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb557e263, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbc265b89, "skb_ext_add" },
	{ 0xb176f20e, "pcie_bandwidth_available" },
	{ 0xef3ab716, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd69a53a9, "flow_rule_match_control" },
	{ 0x17fe280, "flow_rule_match_ip" },
	{ 0x5f2d4c1, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9a6b24c7, "backport_net_dim_get_def_tx_moderation" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xe3bce150, "dcb_ieee_setapp" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x62819787, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xfabc62fe, "xsk_tx_release" },
	{ 0xf4829f0e, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70381758, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x64e76f8b, "pci_write_config_dword" },
	{ 0x228bd686, "kmalloc_caches" },
	{ 0x6cc1a3c7, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd468739c, "device_remove_file" },
	{ 0xdc07c0d4, "neigh_lookup" },
	{ 0xd55c1d0b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x3d405b6c, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x99a745d4, "__tracepoint_xdp_exception" },
	{ 0xf5a1a260, "xsk_tx_completed" },
	{ 0xb49c6e6f, "alloc_etherdev_mqs" },
	{ 0x9f0d82c1, "netdev_lower_get_next" },
	{ 0x77b20ac4, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0x70fac88a, "pci_save_state" },
	{ 0x8cf8538a, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xedac755e, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5530ea1c, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x9c91539b, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe280f15c, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x75cfa657, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4a10b399, "bpf_prog_put" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8804400e, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x22e4da98, "pci_cfg_access_unlock" },
	{ 0x1aaddf4d, "xp_dma_map" },
	{ 0xf07dd3c3, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x11230bca, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x68895d2b, "skb_copy_bits" },
	{ 0xdc99b59d, "debugfs_attr_write" },
	{ 0x191c4cd8, "dma_pool_create" },
	{ 0xecaf8f72, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb43479e8, "pci_msix_vec_count" },
	{ 0x60fb42e3, "backport_net_dim_get_rx_moderation" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd20fb83b, "pci_enable_device" },
	{ 0x34682b10, "skb_put" },
	{ 0xfabbc64b, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x47deef38, "call_switchdev_notifiers" },
	{ 0xbc489d06, "sysfs_create_file_ns" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x332aa15f, "__napi_alloc_skb" },
	{ 0xc70f4748, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2247efc4, "register_fib_notifier" },
	{ 0x24d4dd82, "auxiliary_device_init" },
	{ 0xd5a15f39, "ip6_dst_hoplimit" },
	{ 0xb29242d1, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xbfd2e4ee, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x4d57d76f, "pci_alloc_irq_vectors" },
	{ 0x4aeb1d13, "netif_napi_add_weight" },
	{ 0xa56be9b4, "pci_enable_atomic_ops_to_root" },
	{ 0xeb0778da, "seq_release" },
	{ 0x7cd0022f, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0xd1f2e2a1, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x65b24dcf, "xsk_clear_tx_need_wakeup" },
	{ 0x79bb1899, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x5b44f26d, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x94aff47c, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x691ca436, "ndo_dflt_bridge_getlink" },
	{ 0x92059709, "unregister_netdev" },
	{ 0x658729c9, "sysfs_add_file_to_group" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xd77ece1a, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbe765980, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xe05af296, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x31daa91c, "register_netdevice_notifier_dev_net" },
	{ 0x603c759a, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4bf067ca, "trace_event_printf" },
	{ 0xafc4761e, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd05551a6, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x413accd1, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x39c9d88c, "xas_find" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xa5671248, "dma_sync_single_for_device" },
	{ 0x7ee896f6, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xebc1c0b4, "pci_num_vf" },
	{ 0x6d02f5e0, "debugfs_create_atomic_t" },
	{ 0x36609e28, "flow_rule_match_eth_addrs" },
	{ 0x155d7eee, "mlxdevm_param_driverinit_value_set" },
	{ 0x5ecf5e54, "skb_add_rx_frag" },
	{ 0x15c5daa0, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7ac040c4, "ptp_clock_index" },
	{ 0x4a9ea5c6, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xb8010ab1, "trace_event_raw_init" },
	{ 0xcf3297cb, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf6483443, "xp_can_alloc" },
	{ 0xe307921e, "dev_get_iflink" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x92a9c87, "devlink_alloc_ns" },
	{ 0xc3a58b2a, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x4d6ba99a, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaaa9ff7e, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xc09478ba, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0xf655410c, "pcpu_hot" },
	{ 0xbc3e2580, "seq_lseek" },
	{ 0xae40f554, "page_pool_destroy" },
	{ 0x6fcad959, "xdp_do_redirect" },
	{ 0x824582e5, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x69fac17e, "devm_device_add_group" },
	{ 0x90c0e4e, "proc_create_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xef20f93c, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xfb28504e, "netdev_warn" },
	{ 0x1fe4ceee, "mlxdevm_params_unregister" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xe2ae7df7, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3c894b4d, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe20348be, "pci_irq_vector" },
	{ 0x7b3b1df0, "flow_rule_match_ipv4_addrs" },
	{ 0x6a6e6c1f, "ip_route_output_flow" },
	{ 0xdf838109, "__netif_napi_del" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x8e3814e2, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa8339c2e, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x75be676b, "__dev_get_by_name" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xacc36bd, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x36a2209f, "netdev_err" },
	{ 0xb54672f8, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd1f1fbe4, "mlxdevm_params_publish" },
	{ 0xbd0d46ad, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8551a024, "dev_driver_string" },
	{ 0x7d190490, "netdev_port_same_parent_id" },
	{ 0xe703527b, "trace_event_buffer_commit" },
	{  0x50567, "dev_addr_mod" },
	{ 0x43da6322, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb2206024, "ptp_find_pin" },
	{ 0x3a6ace9d, "eth_type_trans" },
	{ 0xf6497259, "pci_read_config_dword" },
	{ 0x2f40dda7, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xd67c8447, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x82ae89a9, "auxiliary_driver_unregister" },
	{ 0xd5d21119, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0xbcb6995, "napi_complete_done" },
	{ 0x93785580, "mlxdevm_port_attr_set" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5344d4db, "mlxdevm_rate_nodes_destroy" },
	{ 0x6502bcdf, "devlink_port_attrs_pci_vf_set" },
	{ 0x173300f6, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa1552764, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x70f1d524, "put_device" },
	{ 0xf5e60703, "sysfs_remove_file_ns" },
	{ 0x1ad8bcdf, "__napi_schedule" },
	{ 0xfb24641e, "devlink_port_health_reporter_create" },
	{ 0xcd6bb1d1, "mlxdevm_port_type_eth_set" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4bc838b0, "pcie_relaxed_ordering_enabled" },
	{ 0x374b94f8, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xbd1e244f, "kmalloc_node_trace" },
	{ 0x90bac16a, "devlink_port_attrs_pci_pf_set" },
	{ 0xd3c28022, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x954286d1, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1aa3af4d, "mlxdevm_rate_group_unregister" },
	{ 0x9bb84f1a, "__free_pages" },
	{ 0x465bd1d, "kmem_cache_alloc" },
	{ 0xdca21f24, "backport_net_dim_get_tx_moderation" },
	{ 0x9f984513, "strrchr" },
	{ 0x50765a6, "_dev_info" },
	{ 0x9bbb471d, "skb_vlan_pop" },
	{ 0xf1ccbb49, "napi_gro_receive" },
	{ 0x2e5f0adb, "netif_device_attach" },
	{ 0x783a38ee, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xdc13affd, "mlxdevm_unregister" },
	{ 0x5fdd71ba, "netdev_pick_tx" },
	{ 0xfea7fafd, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xad492e52, "xp_raw_get_dma" },
	{ 0x37991dd8, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd164802c, "mlxdevm_params_register" },
	{ 0xa0dd576f, "xdp_rxq_info_is_reg" },
	{ 0xd098cd50, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6f769679, "ptp_classify_raw" },
	{ 0xc2c5802, "work_busy" },
	{ 0x489c9458, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x83d846a9, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xa247460c, "devl_health_reporter_create" },
	{ 0x205cbd60, "flow_block_cb_setup_simple" },
	{ 0x69ca1d6, "pci_msix_can_alloc_dyn" },
	{ 0xbedc9548, "device_create_file" },
	{ 0x151eee48, "flow_rule_match_basic" },
	{ 0x6316799a, "unregister_netdevice_notifier_dev_net" },
	{ 0x91818f90, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xa5da2bff, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x44c8cf16, "debugfs_lookup" },
	{ 0xcffdeed3, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xd293646, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc13ab62b, "backport_net_dim" },
	{ 0x7b3a54d5, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6f67881f, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb270666, "__dev_get_by_index" },
	{ 0xf4a93040, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x216fd6f9, "devlink_port_unregister" },
	{ 0xe29cc94b, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa4a7e78b, "_dev_err" },
	{ 0x8db670ab, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x2825dd9, "softnet_data" },
	{ 0x9ff5fa38, "ipv6_stub" },
	{ 0xbb97b6eb, "simple_open" },
	{ 0x9ea60418, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xb89babe3, "debugfs_create_file_unsafe" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x69246eaf, "xdp_return_frame" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x20ce3878, "simple_attr_release" },
	{ 0x5f03b142, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x13ad064a, "xp_dma_sync_for_cpu_slow" },
	{ 0x8e7bdfaa, "xsk_tx_peek_desc" },
	{ 0x467fed83, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x3845787b, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xa659e3da, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xaaf2f3c, "irq_get_irq_data" },
	{ 0xf993ea10, "dev_remove_pack" },
	{ 0x493b6810, "mlxdevm_port_get_by_index" },
	{ 0x789ae640, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x2c00ebaf, "dev_get_by_index" },
	{ 0x5b7cf986, "bpf_trace_run5" },
	{ 0x366e7b6c, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2923cd28, "devl_port_register_with_ops" },
	{ 0xdc30a499, "dev_get_by_index_rcu" },
	{ 0x78408c7a, "kfree_skb_reason" },
	{ 0xd9115b2c, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0xc5d5e1dc, "mlxdevm_rate_group_register" },
	{ 0xf8df38b2, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4b7780d2, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x52c32b9a, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x597c2441, "kmem_cache_free" },
	{ 0xac46a641, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x33bfbb8a, "debugfs_remove" },
	{ 0x9c136a38, "pci_read_config_word" },
	{ 0xe4918e46, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2eee8dab, "xsk_clear_rx_need_wakeup" },
	{ 0xd48bbf90, "unregister_netdevice_notifier_net" },
	{ 0xa4872955, "xsk_uses_need_wakeup" },
	{ 0x4a07689a, "register_netdev" },
	{ 0xf9258f03, "unregister_fib_notifier" },
	{ 0x5f5ae6d4, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x5bec2f63, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x3d732e33, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb4c326f8, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9f3daf8a, "mlxdevm_register" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9b71a197, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x408d410d, "kobject_init_and_add" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3192c743, "sysfs_remove_file_from_group" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x7bed200c, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6fabb52, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x34ab91ed, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd0adebd2, "__ethtool_get_link_ksettings" },
	{ 0xe8d5e486, "module_layout" },
};

MODULE_INFO(depends, "mlx_compat,mlxdevm,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "129D3E575801C47D7A66820");
