#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xea09638f, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xb4b60c0a, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x97a02100, "");
SYMBOL_CRC(rdma_res_to_id, 0xaa3f230a, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x2dcf88c6, "");
SYMBOL_CRC(rdma_create_user_id, 0xcbb6d1b4, "");
SYMBOL_CRC(rdma_create_qp, 0x1fb12001, "");
SYMBOL_CRC(rdma_destroy_qp, 0x75d8b274, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x60d59bbf, "");
SYMBOL_CRC(rdma_destroy_id, 0x82cb4c5d, "");
SYMBOL_CRC(rdma_get_service_id, 0x9a46374a, "");
SYMBOL_CRC(rdma_read_gids, 0xcaa1da0c, "");
SYMBOL_CRC(rdma_set_service_type, 0x9c70721d, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xed8b184b, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x467e6971, "");
SYMBOL_CRC(rdma_set_ib_path, 0x9f058c9e, "");
SYMBOL_CRC(rdma_resolve_route, 0xc3d27bef, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x7e6a1ee4, "");
SYMBOL_CRC(rdma_set_afonly, 0x192aaeb7, "");
SYMBOL_CRC(rdma_listen, 0xf22ad524, "");
SYMBOL_CRC(rdma_resolve_addr, 0xff78b620, "");
SYMBOL_CRC(rdma_bind_addr, 0x2c72329c, "");
SYMBOL_CRC(rdma_connect_locked, 0x51bca241, "");
SYMBOL_CRC(rdma_connect, 0x05c22fac, "");
SYMBOL_CRC(rdma_connect_ece, 0xed519393, "");
SYMBOL_CRC(rdma_accept, 0x2177533a, "");
SYMBOL_CRC(rdma_accept_ece, 0x3be93e08, "");
SYMBOL_CRC(rdma_lock_handler, 0xc7d67c0a, "");
SYMBOL_CRC(rdma_unlock_handler, 0x2020dd43, "");
SYMBOL_CRC(rdma_notify, 0xea2e7a67, "");
SYMBOL_CRC(rdma_reject, 0x4928ccb5, "");
SYMBOL_CRC(rdma_disconnect, 0x932f9083, "");
SYMBOL_CRC(rdma_join_multicast, 0x813e54e9, "");
SYMBOL_CRC(rdma_leave_multicast, 0xae6faedf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xbede0954, "iw_cm_connect" },
	{ 0xe58e4142, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbccf5516, "rdma_addr_cancel" },
	{ 0x1143b0dc, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x8b741a11, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xa0e30bb8, "ib_register_client" },
	{ 0x5d2f4765, "ib_sa_path_rec_get" },
	{ 0x95e63ea3, "ib_create_cm_id" },
	{ 0x3f4b5b1c, "__ip_mc_dec_group" },
	{ 0x7b3a54d5, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf4a93040, "perf_trace_run_bpf_submit" },
	{ 0x9ac381ea, "ib_init_ah_from_mcmember" },
	{ 0x296e7b99, "rdma_destroy_ah_attr" },
	{ 0xb9e59005, "ib_set_client_data" },
	{ 0x8db670ab, "init_net" },
	{ 0xdcfb440, "ib_get_cached_pkey" },
	{ 0x3c29ee0, "configfs_register_subsystem" },
	{ 0x6a1239b6, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x589337a2, "rdma_put_gid_attr" },
	{ 0xb76f7946, "config_group_init_type_name" },
	{ 0x2c00ebaf, "dev_get_by_index" },
	{ 0xd29659cd, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd25382f8, "ib_send_cm_rep" },
	{ 0x5f5ae6d4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1bdb7c3f, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x3de2fd18, "bpf_trace_run1" },
	{ 0xd36a52a5, "ib_destroy_qp_user" },
	{ 0xc1b512f2, "unregister_pernet_subsys" },
	{ 0x3e82b9dc, "ib_cm_init_qp_attr" },
	{ 0x1ff0b664, "_dev_warn" },
	{ 0x830bbbc0, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78482683, "rdma_restrack_set_name" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x5ece9d23, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xc3089bdc, "ib_get_cached_port_state" },
	{ 0xe2199ac1, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x69a6c33c, "rdma_restrack_del" },
	{ 0x4f6196a3, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x11f3d061, "bpf_trace_run3" },
	{ 0xab16486d, "__put_net" },
	{ 0xd712358d, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x63cca9a4, "iw_cm_accept" },
	{ 0xc6ebc6e0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8add6324, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4e884cdc, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x63dba560, "iw_cm_init_qp_attr" },
	{ 0xbec61c09, "dst_release" },
	{ 0x90ce0d8c, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3c375855, "ib_send_cm_dreq" },
	{ 0x5885bec3, "ib_send_cm_req" },
	{ 0x40a9165b, "ib_create_qp_kernel" },
	{ 0x72951d5, "ib_sa_join_multicast" },
	{ 0x2b3cf343, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe5991e2a, "rdma_get_gid_attr" },
	{ 0xb5a5a6c3, "kmalloc_trace" },
	{ 0x1180027c, "rdma_restrack_new" },
	{ 0x30a3e9ec, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x98f3801f, "iw_cm_listen" },
	{ 0x5176650e, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x701f1a12, "rdma_copy_src_l2_addr" },
	{ 0x228bd686, "kmalloc_caches" },
	{ 0xd43af032, "rdma_resolve_ip" },
	{ 0xa5642d3c, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2927d32d, "iw_create_cm_id" },
	{ 0xd23c5d36, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x891849b2, "ib_unregister_client" },
	{ 0xd9123162, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e6451dd, "ib_send_cm_sidr_rep" },
	{ 0xf07dd3c3, "bpf_trace_run4" },
	{ 0x9013f9af, "config_group_init" },
	{ 0xe852d5cc, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xd6c38dca, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd1f2e2a1, "trace_raw_output_prep" },
	{ 0x759400, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbe765980, "__trace_trigger_soft_disabled" },
	{ 0x4bf067ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0xb8010ab1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x791452e2, "rdma_query_gid" },
	{ 0x618da7f5, "rt6_lookup" },
	{ 0xf655410c, "pcpu_hot" },
	{ 0xcf30ee6f, "rdma_translate_ip" },
	{ 0xef20f93c, "bpf_trace_run2" },
	{ 0xb79f22f3, "rdma_dev_access_netns" },
	{ 0x3d8193b6, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7e03b236, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x78514c30, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2fd2f570, "register_pernet_subsys" },
	{ 0xe703527b, "trace_event_buffer_commit" },
	{ 0x119611d3, "ip_mc_inc_group" },
	{ 0x1031ed36, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x2b8407dc, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xe8d5e486, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs,mlx_compat");

